% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
legend cell align={left},
legend style={fill opacity=0.8, draw opacity=1, text opacity=1, at={(0.97,0.03)}, anchor=south east, draw=white!80!black},
tick align=outside,
tick pos=left,
width=280pt,
x grid style={white!80!black},
xlabel={Relative Latency of the Layer},
xmajorgrids,
xmin=0, xmax=0.0672001086827041,
xtick style={color=white!15!black},
y dir=reverse,
y grid style={white!80!black},
ylabel={Selected Layers},
ymin=-0.5, ymax=15.5,
ytick style={color=white!15!black},
ytick={0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15},
yticklabels={0\_QUANTIZE,1\_CONV\_2D,2\_CONV\_2D,3\_CONV\_2D,4\_ADD,14\_ADD,15\_CONV\_2D,16\_CONV\_2D,27\_ADD,28\_CONV\_2D,29\_CONV\_2D,30\_ADD,31\_AVERAGE\_POOL\_2D,32\_RESHAPE,34\_SOFTMAX,35\_DEQUANTIZE}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:0.00021568521760384,0);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{none}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:0.0217346052875481,1);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:0.0621868474124991,2);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,2.6) rectangle (axis cs:0.062256422123014,3);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,3.6) rectangle (axis cs:0.0036684068089012,4);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,4.6) rectangle (axis cs:0.00196962130288317,5);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,5.6) rectangle (axis cs:0.0543282236746612,6);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,6.6) rectangle (axis cs:0.0543600146684337,7);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,7.6) rectangle (axis cs:0.0009838330581733,8);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,8.6) rectangle (axis cs:0.0490371278009267,9);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,9.6) rectangle (axis cs:0.0490439220063326,10);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,10.6) rectangle (axis cs:0.000984858917147662,11);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,11.6) rectangle (axis cs:6.27085238068158e-05,12);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,12.6) rectangle (axis cs:1.94283539939513e-06,13);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,13.6) rectangle (axis cs:2.1957484308516e-05,14);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,14.6) rectangle (axis cs:2.17841747412099e-06,15);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-2.77555756156289e-17) rectangle (axis cs:0.00074159893815611,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{cmsis-nn}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1) rectangle (axis cs:0.0229109289279194,1.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2) rectangle (axis cs:0.0574883068200547,2.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,3) rectangle (axis cs:0.0576052011287705,3.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,4) rectangle (axis cs:0.0191097954006847,4.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,5) rectangle (axis cs:0.00983489201499377,5.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,6) rectangle (axis cs:0.0478526351584009,6.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,7) rectangle (axis cs:0.0478176803944185,7.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,8) rectangle (axis cs:0.00484842421731081,8.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,9) rectangle (axis cs:0.0456782196333128,9.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,10) rectangle (axis cs:0.0457002328283033,10.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,11) rectangle (axis cs:0.00483378337470742,11.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,12) rectangle (axis cs:0.000221955022603901,12.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,13) rectangle (axis cs:7.35135937920691e-06,13.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,14) rectangle (axis cs:9.26561071818314e-05,14.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,15) rectangle (axis cs:9.46166995164536e-06,15.4);
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000144998510969194 -0.2
0.00025827951664864 -0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0179300415805895 0.8
0.0293368347367054 0.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0613144667615235 1.8
0.063847162493581 1.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0613369180371265 2.8
0.0640001035073372 2.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00213927727929676 3.8
0.00656290056112576 3.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.001124400290007 4.8
0.00358188924982611 4.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0512482672559446 5.8
0.0558927354579235 5.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0513742606698442 6.8
0.0558775678561544 6.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000595347578656808 7.8
0.00171884641072693 7.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0453937673413828 8.8
0.050862967803845 8.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0454285672219924 9.8
0.0508556963700738 9.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000604352861976622 10.8
0.00170403415385206 10.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
4.39507001615465e-05 11.8
9.38704471829274e-05 11.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
1.14986267827008e-06 12.8
3.47998806096404e-06 12.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
1.20941262332647e-05 13.8
3.22121971796927e-05 13.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
1.41379874645534e-06 14.8
3.30152713476075e-06 14.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000609695403925432 0.2
0.000825738996776397 0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0215017493825675 1.2
0.0250712183464428 1.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.056059907959658 2.2
0.0587251106040148 2.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0561352504584161 3.2
0.0588122871832241 3.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0162609721326551 4.2
0.0248072720417678 4.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00834842751435086 5.2
0.0125272103284703 5.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0467912044095132 6.2
0.0493732379891147 6.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.046764814269482 7.2
0.0493439759205689 7.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00405431856072693 8.2
0.00628981516679177 8.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0432306971549943 9.2
0.0482062418290684 9.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0432189431847756 10.2
0.0482953134731773 10.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00398461999921172 11.2
0.00629720080325101 11.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000203150036997986 12.2
0.000237153252439951 12.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
6.03460539962981e-06 13.2
8.90716441089017e-06 13.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
7.85402048121268e-05 14.2
0.000116368808601817 14.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
9.12984352116242e-06 15.2
9.90756110386984e-06 15.2
};
\end{axis}

\end{tikzpicture}
